Newbie Help

Clark, Aaron aclark at Calence.com
Thu Jun 26 22:56:32 CEST 2003


Hi All, 
 
I'm a newbie with Linux and Bogofilter. I'm currently trying to implement a
Mail Gateway to front my Exchange server for content filtering. I've loaded
RedHat 8.0 with Postfix to receive mail and relay it to my internal Exchange
server. I have now implemented the script in integrating-with-postfix and
have performed very little training, SPAM - 150, GOOD - 30. Now when mail is
passed to my Exchange server the email is blank including the subject line
and body. 
 
To help remedy this problem I've updated Bogofilter to 0.13.7 and tried to
make minor changes to the filter script. I don't seen anything out of the
ordinary in the maillog. I'll add the contents of my filtermail.sh at the
bottom of the email.
 
Should I even be doing it this way or should I use procmail?
 
Any help would be appreciated, 
Thanks,
Aaron
 
 
#!/bin/sh
 
FILTER=/usr/bin/bogofilter
FILTER_DIR=/var/spool/filter
POSTFIX=/usr/sbin/sendmail
export BOGOFITLER_DIR=/home/bogofilter
 
# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69
 
cd $FILTER_DIR || \
 { echo $FILTER_DIR does not exist; exit $EX_TEMPFAIL; }
 
# Clean up when done or when aborting.
trap "rm -f inp.$$ msg.$$; exit $EX_TEMPFAIL" 0 1 2 3 15
 
# bogofilter returns: 0 for spam; 1 for non-spam; 2 for I/O or other errors.
rm -f inp.$$ || exit $EX_TEMPFAIL
cat > inp.$$ || exit $EX_TEMPFAIL
$FILTER -f -u -e < inp.$$ > msg.$$ || exit $EX_TEMPFAIL
 
exec $POSTFIX "$@" < msg.$$
exit $EX_TEMPFAIL
 
 
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.bogofilter.org/pipermail/bogofilter/attachments/20030626/d8a6b0bf/attachment.html>


More information about the Bogofilter mailing list